package com.ruoyi.ss.vip.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 会员对象 ss_vip
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Vip extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    @NotNull(message = "用户不允许为空", groups = {ValidGroup.Create.class})
    private Long userId;

    @Excel(name = "会员等级ID")
    @ApiModelProperty("会员等级ID")
    @NotNull(message = "会员等级不允许为空", groups = {ValidGroup.Create.class})
    private Long levelId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "有效期(起始)", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("有效期(起始)")
    @NotNull(message = "有效期(起始)不允许为空", groups = {ValidGroup.Create.class})
    private LocalDateTime startTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "有效期(结束)", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("有效期(结束)")
    @NotNull(message = "有效期(结束)不允许为空", groups = {ValidGroup.Create.class})
    private LocalDateTime endTime;

    @Excel(name = "折扣")
    @ApiModelProperty("折扣")
    private BigDecimal discount;

    @Excel(name = "可用店铺ID列表")
    @ApiModelProperty("可用店铺ID列表")
    private List<Long> storeIds;


}
